import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View, Button } from 'react-native';
import { NavigationContainer } from "@react-navigation/native";
import { createDrawerNavigator } from "@react-navigation/drawer";
import { homeStack } from "./Navigations/homeStack";
import { AuthStack } from "./Navigations/AuthStack";
import { FontAwesome } from '@expo/vector-icons';
import { AboutUs } from './screen/AboutUs';



// import  {HomeScreen}  from './screen/HomeScreen';
// import {HomeScreen} from './screen/HomeScreen'
// import {BottomTab} from './Navigations/BottomTab';

// import { createMaterialBottomTabNavigator } from '@react-navigation/material-bottom-tabs';

const Drawer = createDrawerNavigator();
// const Tab = createMaterialBottomTabNavigator();


export default function App() {
  return (

    <NavigationContainer>
    <Drawer.Navigator initialRouteName="Authntications">
      <Drawer.Screen name="HOME" component={AuthStack} />
      <Drawer.Screen name="About Us" component={homeStack} />
      {/* <Drawer.Screen name="MainTab" component={MainTabScreen} /> */}
      {/* <Drawer.Screen name="About Us" component={AboutUs} /> */}
    </Drawer.Navigator>
      {/* <HomeScreen/> */}
  </NavigationContainer>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
  Button:{
    backgroundColor: '#fff',
    marginTop: 20
  }
});
