import React from "react";
import { createStackNavigator } from "@react-navigation/stack";
import { Ionicons } from "@expo/vector-icons";

import { HomeScreen } from "../screen/HomeScreen";
import { Leaderboard } from "../screen/Leaderboard";
import { PriceScreen } from "../screen/PriceScreen";
import { gamification } from "../screen/gamification";

import { AboutUs } from "../screen/AboutUs";

const Stack = createStackNavigator();

export function homeStack({ navigation }) {
  return (
    <Stack.Navigator>
      {/* <Stack.Screen
        name="Agripreneurs"
        component={HomeScreen}
        options={{
          headerLeft: () => {
            return (
              <Ionicons
                name="md-menu"
                size={30}
                color="black"
                onPress={() => navigation.openDrawer()}
              />
              
            );
          },
          headerLeftContainerStyle: { paddingLeft: 10 },
          
        }}
        
      />
      <Stack.Screen
        name="Leaderboard"
        component={Leaderboard}
        options={{
          title: "Leaderboard Page",
          headerTitleAlign: "center",
        }}
      />
      <Stack.Screen
        name="PriceScreen"
        component={PriceScreen}
        options={{
          title: "Discounted/Price Page",
          headerTitleAlign: "center",
        }}
      />
      <Stack.Screen
        name="gamification"
        component={gamification}
        options={{
          title: "Gamification Page",
          headerTitleAlign: "center",
        }}
      /> */}
      <Stack.Screen
        name="AboutUs"
        component={AboutUs}
        options={{
          title: "About Page",
          headerTitleAlign: "center",
        }}
      />
    </Stack.Navigator>
  );
}
