import React from 'react';
import { StyleSheet, TextInput } from 'react-native';
import themeColors from '../assets/colors';

export const AppTextInput = (props) => {
  return(
    <TextInput style={styles.input} {...props}/>
  )
}

const styles = StyleSheet.create({
  input:{
    alignItems: "center",
    padding: 10,
    marginBottom: 20,
    fontSize: 16,
    borderBottomColor: themeColors.SECONDARY_COLOR,
    borderBottomWidth: 1,
  }
});

